Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1115680 - Review Request: nodejs-jscs - JavaScript Code Style
Summary: Review Request: nodejs-jscs - JavaScript Code Style
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eduardo Mayorga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1115706 1169924 1169925 1191212 1498609
Blocks: nodejs-reviews 1115677
TreeView+ depends on / blocked
 
Reported: 2014-07-02 21:05 UTC by Ralph Bean
Modified: 2017-10-04 18:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-04 16:08:25 UTC
e: fedora-review?


Attachments (Terms of Use)

Description Ralph Bean 2014-07-02 21:05:23 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-jscs.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-jscs-1.5.7-1.fc20.src.rpm

Description:
JSCS — JavaScript Code Style.

Comment 1 Eduardo Mayorga 2014-08-05 02:55:20 UTC
The version in the Spec file does not match the SRPM's version.

Comment 2 Ralph Bean 2014-08-18 13:40:56 UTC
Apologies, Eduardo.  Here is the latest upstream release:

Spec URL: http://threebean.org/rpm/SPECS/nodejs-jscs.spec
SRPM URL: http://threebean.org/rpm/SRPMS/nodejs-jscs-1.5.9-1.fc20.src.rpm

Comment 3 Eduardo Mayorga 2014-08-26 20:12:53 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Package does not install properly. Your fixdeps seem to be wrong.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

- ExclusiveArch tag missing.
  See: https://fedoraproject.org/wiki/Packaging:Node.js#ExclusiveArch

- Please fix rpmlint script-without-shebang errors.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 2 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
     -> I'll check functionality when it installs properly.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.1.41 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.41
INFO: Mock Version: 1.1.41
Start: lock buildroot
INFO: installing package(s): /home/makerpm/reviews/1115680-nodejs-jscs/results/nodejs-jscs-1.5.9-1.fc22.x86_64.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-rawhide-x86_64/root/', '--releasever', '22', 'install', '/home/makerpm/reviews/1115680-nodejs-jscs/results/nodejs-jscs-1.5.9-1.fc22.x86_64.rpm', '--setopt=tsflags=nocontexts']
Error: Package: nodejs-jscs-1.5.9-1.fc22.x86_64 (/nodejs-jscs-1.5.9-1.fc22.x86_64)
           Requires: npm(supports-color) < 0.3
Error: Package: nodejs-jscs-1.5.9-1.fc22.x86_64 (/nodejs-jscs-1.5.9-1.fc22.x86_64)
           Requires: npm(strip-json-comments) < 0.2
           Available: nodejs-strip-json-comments-1.0.1-1.fc22.noarch (fedora)
               npm(strip-json-comments) = 1.0.1
Error: Package: nodejs-jscs-1.5.9-1.fc22.x86_64 (/nodejs-jscs-1.5.9-1.fc22.x86_64)
           Requires: npm(strip-json-comments) < 0.2
           Installing: nodejs-strip-json-comments-1.0.1-1.fc22.noarch (fedora)
               npm(strip-json-comments) = 1.0.1
 You could try using --skip-broken to work around the problem
Error: Package: nodejs-jscs-1.5.9-1.fc22.x86_64 (/nodejs-jscs-1.5.9-1.fc22.x86_64)
           Requires: npm(commander) >= 2.3.0
           Installing: nodejs-commander-2.2.0-2.fc21.noarch (fedora)
               npm(commander) = 2.2.0
Error: Package: nodejs-jscs-1.5.9-1.fc22.x86_64 (/nodejs-jscs-1.5.9-1.fc22.x86_64)
           Requires: npm(supports-color) >= 0.2.0
 You could try running: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: nodejs-jscs-1.5.9-1.fc22.x86_64.rpm
          nodejs-jscs-1.5.9-1.fc22.src.rpm
nodejs-jscs.x86_64: E: no-binary
nodejs-jscs.x86_64: W: only-non-binary-in-usr-lib
nodejs-jscs.x86_64: W: dangling-symlink /usr/lib/node_modules/jscs/node_modules/xmlbuilder /usr/lib/node_modules/xmlbuilder
nodejs-jscs.x86_64: W: dangling-symlink /usr/lib/node_modules/jscs/node_modules/glob /usr/lib/node_modules/glob
nodejs-jscs.x86_64: W: dangling-symlink /usr/lib/node_modules/jscs/node_modules/commander /usr/lib/node_modules/commander
nodejs-jscs.x86_64: W: dangling-symlink /usr/lib/node_modules/jscs/node_modules/colors /usr/lib/node_modules/colors
nodejs-jscs.x86_64: W: dangling-symlink /usr/lib/node_modules/jscs/node_modules/esprima /usr/lib/node_modules/esprima
nodejs-jscs.x86_64: W: dangling-symlink /usr/lib/node_modules/jscs/node_modules/supports-color /usr/lib/node_modules/supports-color
nodejs-jscs.x86_64: E: script-without-shebang /usr/lib/node_modules/jscs/lib/rules/require-newline-before-block-statements.js
nodejs-jscs.x86_64: W: dangling-symlink /usr/lib/node_modules/jscs/node_modules/minimatch /usr/lib/node_modules/minimatch
2 packages and 0 specfiles checked; 3 errors, 11 warnings.




Requires
--------
nodejs-jscs (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(colors)
    npm(commander)
    npm(esprima)
    npm(glob)
    npm(minimatch)
    npm(strip-json-comments)
    npm(supports-color)
    npm(vow)
    npm(vow-fs)
    npm(xmlbuilder)



Provides
--------
nodejs-jscs:
    nodejs-jscs
    nodejs-jscs(x86-64)
    npm(jscs)



Source checksums
----------------
http://registry.npmjs.org/jscs/-/jscs-1.5.9.tgz :
  CHECKSUM(SHA256) this package     : 509de75f34bdbec2e427636e49d65b6acfd1ecb7c6cb25fa7dcc1ef815ecdf59
  CHECKSUM(SHA256) upstream package : 509de75f34bdbec2e427636e49d65b6acfd1ecb7c6cb25fa7dcc1ef815ecdf59nodejs-jscs.x86_64: W: dangling-symlink /usr/lib/node_modules/jscs/node_modules/strip-json-comments /usr/lib/node_modules/strip-json-comments
nodejs-jscs.x86_64: W: dangling-symlink /usr/lib/node_modules/jscs/node_modules/vow-fs /usr/lib/node_modules/vow-fs
nodejs-jscs.x86_64: E: script-without-shebang /usr/lib/node_modules/jscs/lib/rules/disallow-newline-before-block-statements.js
nodejs-jscs.x86_64: W: dangling-symlink /usr/lib/node_modules/jscs/node_modules/vow /usr/lib/node_modules/vow
nodejs-jscs.x86_64: W: dangling-symlink /usr/lib/node_modules/jscs/node_modules/supports-color /usr/lib/node_modules/supports-color
nodejs-jscs.x86_64: E: script-without-shebang /usr/lib/node_modules/jscs/lib/rules/require-newline-before-block-statements.js
nodejs-jscs.x86_64: W: dangling-symlink /usr/lib/node_modules/jscs/node_modules/minimatch /usr/lib/node_modules/minimatch
2 packages and 0 specfiles checked; 3 errors, 11 warnings.




Requires
--------
nodejs-jscs (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(colors)
    npm(commander)
    npm(esprima)
    npm(glob)
    npm(minimatch)
    npm(strip-json-comments)
    npm(supports-color)
    npm(vow)
    npm(vow-fs)
    npm(xmlbuilder)



Provides
--------
nodejs-jscs:
    nodejs-jscs
    nodejs-jscs(x86-64)
    npm(jscs)



Source checksums
----------------
http://registry.npmjs.org/jscs/-/jscs-1.5.9.tgz :
  CHECKSUM(SHA256) this package     : 509de75f34bdbec2e427636e49d65b6acfd1ecb7c6cb25fa7dcc1ef815ecdf59
  CHECKSUM(SHA256) upstream package : 509de75f34bdbec2e427636e49d65b6acfd1ecb7c6cb25fa7dcc1ef815ecdf59

Comment 4 Ralph Bean 2014-12-02 17:43:49 UTC
Here's the latest upstream that fixes the noarch and shebang issues, but there are new deps that need to be packaged.

Spec URL: http://threebean.org/rpm/SPECS/nodejs-jscs.spec
SRPM URL: http://threebean.org/rpm/SRPMS/nodejs-jscs-1.8.1-1.fc20.src.rpm

Comment 5 Piotr Popieluch 2014-12-30 22:13:53 UTC
I've checked your update:

- please package bin directory and create symlinks in /usr/bin
- please package presets dir, this is being used by the binaries
- consider upgrading to 1.9.0, license is back included in npm package
- you could include a man page

Comment 6 Ralph Bean 2015-02-10 17:08:58 UTC
Thanks Piotr!

Here's the latest upstream with adjustments that address your concerns (except the man page, which I'll omit).

Now just blocking on other dependencies for this one.

Spec URL: http://threebean.org/rpm/SPECS/nodejs-jscs.spec
SRPM URL: http://threebean.org/rpm/SRPMS/nodejs-jscs-1.11.2-1.fc21.src.rpm

Comment 7 Ralph Bean 2016-04-04 16:08:25 UTC
I'm no longer pursuing this one.  Thanks to everyone for the assistance here.


Note You need to log in before you can comment on or make changes to this bug.